# Node
Date: 2013-02-18

## org.simpleframework.xml.stream
Interface Node

All Known Subinterfaces:
  InputNode, OutputNode

    public interface Node

The `Node` is used to represent a name value pair and acts as the base form of data used within the framework. Each of the attributes and elements are represented as nodes.

Author:
  Niall Gallagher

Method Summary
`java.lang.String` `getName()` Returns the name of the node that this represents.
`Node` `getParent()` This is used to acquire the `Node` that is the parent of this node.
`java.lang.String` `getValue()` Returns the value for the node that this represents.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the node that this represents. This is an immutable property and should not change for any node.

  Returns:
    returns the name of the node that this represents

### getValue

    java.lang.String getValue()
                              throws java.lang.Exception

  Returns the value for the node that this represents. This is a modifiable property for the node and can be changed.

  Returns:
    the name of the value for this node instance
  Throws:
    `java.lang.Exception` - if there is a problem getting the value

### getParent

    Node getParent()

  This is used to acquire the `Node` that is the parent of this node. This will return the node that is the direct parent of this node and allows for siblings to make use of nodes with their parents if required.

  Returns:
    this returns the parent node for this node